<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/progress/progress.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('progress_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">progress.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="progress_8h_source.html">include/progress.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="entities_8h_source.html">../include/entities.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad12baab4f26f0e919833dbda6a0b5e6c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="progress_8c.html#ad12baab4f26f0e919833dbda6a0b5e6c">construct_progress_bar</a> (<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self, const char *const progress_bar_json)</td></tr>
<tr class="separator:ad12baab4f26f0e919833dbda6a0b5e6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cdf6054671dcf6fb5cab76cb2cc8454"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="progress_8c.html#a2cdf6054671dcf6fb5cab76cb2cc8454">setup</a> (<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self, char *filename)</td></tr>
<tr class="separator:a2cdf6054671dcf6fb5cab76cb2cc8454"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadbb382475e412d9f67e1f912a391b07"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="progress_8c.html#aadbb382475e412d9f67e1f912a391b07">ftou8</a> (float value)</td></tr>
<tr class="separator:aadbb382475e412d9f67e1f912a391b07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a5211293a911aff05cfc7d2b16f9493"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="progress_8c.html#a2a5211293a911aff05cfc7d2b16f9493">draw</a> (<a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *self)</td></tr>
<tr class="separator:a2a5211293a911aff05cfc7d2b16f9493"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aed46d2a18a56cc4ddd19701767ece0b1"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="progress_8c.html#aed46d2a18a56cc4ddd19701767ece0b1">Progress</a> = &amp;progress</td></tr>
<tr class="separator:aed46d2a18a56cc4ddd19701767ece0b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ad12baab4f26f0e919833dbda6a0b5e6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad12baab4f26f0e919833dbda6a0b5e6c">&#9670;&nbsp;</a></span>construct_progress_bar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int construct_progress_bar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *const&#160;</td>
          <td class="paramname"><em>progress_bar_json</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a5211293a911aff05cfc7d2b16f9493"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a5211293a911aff05cfc7d2b16f9493">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aadbb382475e412d9f67e1f912a391b07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadbb382475e412d9f67e1f912a391b07">&#9670;&nbsp;</a></span>ftou8()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ftou8 </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2cdf6054671dcf6fb5cab76cb2cc8454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cdf6054671dcf6fb5cab76cb2cc8454">&#9670;&nbsp;</a></span>setup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int setup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">ProgressClass</a> *&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aed46d2a18a56cc4ddd19701767ece0b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed46d2a18a56cc4ddd19701767ece0b1">&#9670;&nbsp;</a></span>Progress</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* Progress = &amp;progress</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_0bd7c455982a7201f4efe02c33cb9b9b.html">progress</a></li><li class="navelem"><a class="el" href="progress_8c.html">progress.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
